Subject: Re: [cosmetic bug?] needlessly(?) executable files

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2015 10:55:57 -0800

Dennis Kaarsemaker <[email-masked]> writes:

> On zo, 2015-02-22 at 10:44 -0800, Junio C Hamano wrote:
>> Christoph Anton Mitterer <[email-masked]> writes:
>> 
>> > Just a question about files like:
>> > .git/config
>> > .git/hooks/*.sample
>> >
>> > Is there any reason that these are created executable? Especially
>> the
>> > config file?
>> 
>> In a new repository I just did "git init", I see this:
>> 
>>     $ rm -fr stupid
>>     $ umask 0027
>>     $ git init stupid
>>     $ ls -l stupid/.git/config | sed -e 's/ .*//'
>>     -rw-r-----
>> 
>> So no, config is not created executable.
>
> It used to be for a brief period in history, between daa22c6f8d (2.1.0)
> and 1f32ecf (2.2.2).

Ahh, yes, I think we fixed that bug not too long ago.

Thanks for reminding me.